GROUPMOD(8)

NAZWA
groupmod - zmień dane grupy

SKŁADNIA
groupmod [-g GID [-o]] [-n NOWA_NAZWA_GRUPY] GRUPA

OPIS
Polecenie groupmod modyfikuje systemowe pliki kont tak, by odzwierciedlić w nich zmiany grup podane w wierszu poleceń.

OPCJE
Polecenie groupmod posiada następujące opcje:

-g GID
    Numeryczna wartość identyfikatora grupy (group ID). Wartość ta musi być niepowtarzalna, chyba że użyto opcji -o. Nie może być ujemna. Wartości pomiędzy 0 a 999 są zwykle zarezerwowane dla grup systemowych. Pliki, dla których stary identyfikator jest identyfikatorem grupy pliku, wymagają ręcznej zmiany ID grupy.

-n NOWA_NAZWA_GRUPY
    Nazwa grupy zostanie zmieniona z GRUPA na NOWA_NAZWA_GRUPY.

PLIKI
/etc/group    - informacja o grupach
/etc/gshadow    - bezpieczna informacja o grupach

KOD ZAKOŃCZENIA

Polecenie groupmod kończy działanie z następującymi wartościami kodów zakończenia:
    0    - powodzenie
    2    - niewłaściwa składnia parametrów polecenia
    3    - niewłaściwe parametry opcji
    4    - gid jest już używany (i nie użyto opcji -o)
    6    - podana grupa nie istnieje
    9    - grupa jest już używana
    10    - niemożliwa aktualizacja plików grup

ZOBACZ TAKŻE
chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8)

AUTOR
Julianne Frances Haugh (jockgrrl@ix.netcom.com)